package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务对象 sim_task
 *
 * @author tom
 * @date 2024-12-13
 */
public class Task extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 任务ID
     */
    private Long taskId;

    /**
     * 模拟器型号
     */
    @Excel(name = "模拟器型号")
    private String simType;

    /**
     * 任务类型:[1]-教师创建管理,[2]-考试临时数据
     */
    @Excel(name = "任务类型:[1]-教师创建管理,[2]-考试临时数据")
    private String taskType;

    /**
     * 任务名称
     */
    @Excel(name = "任务名称")
    private String name;

    /**
     * 创建教师ID/用户ID
     */
    @Excel(name = "创建教师ID/用户ID")
    private Long createByUserId;

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setSimType(String simType) {
        this.simType = simType;
    }

    public String getSimType() {
        return simType;
    }

    public void setTaskType(String taskType) {
        this.taskType = taskType;
    }

    public String getTaskType() {
        return taskType;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setCreateByUserId(Long createByUserId) {
        this.createByUserId = createByUserId;
    }

    public Long getCreateByUserId() {
        return createByUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("taskId", getTaskId())
                .append("simType", getSimType())
                .append("taskType", getTaskType())
                .append("name", getName())
                .append("createByUserId", getCreateByUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    // -------------------------------- tom add  --------------------------------
    public static final Long EMPTY_TASK_ID = 0L;


    public interface Type {
        String TEACHER_ADD = "1";
        String TEMP = "2";
    }
}
